<?php
/**
 * Thor external API interface.
 *
 * $Horde: thor/lib/api.php,v 1.3 2004/08/24 21:05:36 carlos Exp $
 *
 * This file defines Thor's external API interface. Other applications
 * can interact with Thor through this API.
 *
 * @package Thor
 */

$_services['defineClass'] = array(
    'args' => array('type'),
    'type' => 'string'
);

function _thor_defineClass($type)
{
    global $thor;
    require_once dirname(__FILE__) . '/base.php';
        
    $projectKinds = $thor->getProjectKinds();
    $itemKinds = $thor->getItemKinds();
    if (isset($projectKinds[$type])) {
        require_once THOR_LIBS . '/Project/' . $type . '.php';
    } elseif (isset($itemKinds[$type])) {
        require_once THOR_LIBS . '/Item/' . $type . '.php';
    } else {
        return PEAR::raiseError(sprintf(_("'%s' not found."), $class));
    }
    $class = 'DataTreeObject_' . $type;
    if (class_exists($class)) {
        return $class;
    } else {
        return PEAR::raiseError(sprintf(_("'%s' not found."), $class));
    }
}

